| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxFontMetrics Struct Reference
Class List by Category » Device Contexts Class List by Category » | Graphics Device Interface (GDI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/dc.h>`

## Detailed Description

Simple collection of various font metrics.

This object is returned by wxDC::GetFontMetrics().

Since
  2.9.2

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ , \ </></>

## Public Member Functions
| wxFontMetrics ()
| Constructor initializes all fields to 0. More...

## Public Attributes
int | height
| Total character height. More...
int | ascent
| Part of the height above the baseline. More...
int | descent
| Part of the height below the baseline. More...
int | internalLeading
| Intra-line spacing. More...
int | externalLeading
| Inter-line spacing. More...
int | averageWidth
| Average font width, a.k.a. "x-width". More...

## Constructor & Destructor Documentation

## ◆ wxFontMetrics()

wxFontMetrics::wxFontMetrics | ( |  | ) |

Constructor initializes all fields to 0.

## Member Data Documentation

## ◆ ascent

int wxFontMetrics::ascent

Part of the height above the baseline.

## ◆ averageWidth

int wxFontMetrics::averageWidth

Average font width, a.k.a. "x-width".

## ◆ descent

int wxFontMetrics::descent

Part of the height below the baseline.

## ◆ externalLeading

int wxFontMetrics::externalLeading

Inter-line spacing.

## ◆ height

int wxFontMetrics::height

Total character height.

## ◆ internalLeading

int wxFontMetrics::internalLeading

Intra-line spacing.